import * as $dara from '@darabonba/typescript';
import { ModifyVcoRouteEntryWeightResponseBody } from "./ModifyVcoRouteEntryWeightResponseBody";
export declare class ModifyVcoRouteEntryWeightResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyVcoRouteEntryWeightResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
